Summary: Collection of basic system utilities for Linux
Name: util-linux
Version: 2.7
Release: 18
Copyright: distributable
Group: Utilities/System
Source0: sunsite.unc.edu:/pub/Linux/system/Misc/util-linux-2.7.tar.gz
Source1: util-linux-2.7-login.pamd
Source2: util-linux-2.7-chfn.pamd
Source3: util-linux-2.7-chsh.pamd
Patch0: util-linux-2.7-config.patch
Patch1: util-linux-2.7-login.patch
Patch2: util-linux-2.7-glibchacks.patch
Patch3: util-linux-2.7-rootok.patch
Patch4: util-linux-2.7-title.patch
Patch5: util-linux-2.7-noclock.patch
Patch6: util-linux-2.7-nochkdupexe.patch
Patch7: util-linux-2.7-newpam.patch
Patch8: util-linux-2.7-fat32.patch
Patch9: util-linux-2.7-glibc2.1.patch
Patch10: util-linux-2.7-vipw.patch
Patch11: util-linux-2.7-path.patch
Patch12: util-linux-2.7-gecos.patch
Patch13: util-linux-2.7-more.patch
Patch14: util-linux-2.7-nonext2.patch
Buildroot: /tmp/util-linux
Requires: pam >= 0.59
Summary(de): Sammlung von grundlegenden Systemdienstprogrammen fr Linux
Summary(fr): Ensemble d'utilitaires systme de base pour Linux
Summary(tr): Temel sistem aralar

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system.  This includes, among other
things, configuration tools such as fdisk and system programs such
as login.

%description -l de
util-linux enthlt eine groe Anzahl an low-level-Systemdienstprogrammen,
die fr ein funktionierendes Linux-System erforderlich sind. Dazu gehren
Konfigurationstools wie 'fdisk' und Systemprogramme wie
'login'.

%description -l fr
util-linux contient une grande varit d'utilitaire systme bas niveau
ncessaires au fonctionnement d'un systme Linux. Cela comprend, entre
autres, les outils de configuration comme fdisk et des programmes
systmes comme login.

%description -l tr
levsel durumdaki bir Linux sistemi iin gerekli birok alt dzey sistem
aralarn ierir. Bunlar arasnda fdisk gibi yaplandrma uygulamalar ve
login gibi sistem programlar saylabilir.

%changelog
* Sat May 02 1998 Jeff Johnson <jbj@redhat.com>
- Fix "fdisk -l" fault on mounted cdrom. (prob #513)

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Mon Dec 29 1997 Erik Troan <ewt@redhat.com>
- more didn't suspend properly on glibc
- use proper tc*() calls rather then ioctl's

* Sun Dec 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed a security problem in chfn and chsh accepting too 
  long gecos fields

* Fri Dec 19 1997 Mike Wangsmo <wanger@redhat.com>
- removed "." from default path

* Tue Dec 02 1997 Cristian Gafton <gafton@redhat.com>
- added (again) the vipw patch

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- minor cleanups for glibc 2.1

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>
- added vfat32 filesystem type to list recognized by fdisk

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- don't build clock on the alpha 
- don't install chkdupexe

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Update to new pam standard.
- BuildRoot.

* Thu Sep 25 1997 Cristian Gafton <gafton@redhat.com>
- added rootok and setproctitle patches
- updated pam config files for chfn and chsh

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- updated MCONFIG to automatically determine the architecture
- added glibc header hacks to fdisk code
- rdev is only available on the intel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- update to util-linux 2.7, fixed login problems

* Wed Jun 25 1997 Erik Troan <ewt@redhat.com>
- Merged Red Hat changes into main util-linux source, updated package to
  development util-linux (nearly 2.7).

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- pam.patch differentiated between different kinds of bad logins.
  In particular, "user does not exist" and "bad password" were treated
  differently.  This was a minor security hole.

%prep

# note that the alpha patch is derived  from the one on azstarnet

%setup 
%patch0 -p1 -b .rh
%patch1 -p1 -b .sigint
%patch2 -p1 -b .hacks
%patch3 -p1 -b .rootok
# this one still needs work... 
# %patch4 -p1 -b .title
#
%patch5 -p1 -b .noclock
%patch6 -p1 -b .nochkdupexe
%patch7 -p1 -b .newpam
%patch8 -p1 -b .vfat32
%patch9 -p1 -b .glibc21
%patch10 -p1 -b .vipw
%patch11 -p1 -b .nodot
%patch12 -p1 -b .gecos
%patch13 -p1 -b .more
%patch14 -p1 -b .nonext2

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/man/man1
mkdir -p $RPM_BUILD_ROOT/man/man6
mkdir -p $RPM_BUILD_ROOT/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/lib

make install DESTDIR=$RPM_BUILD_ROOT

%ifarch i386
mv -f $RPM_BUILD_ROOT/usr/bin/rdev $RPM_BUILD_ROOT/usr/sbin
%endif

mv -f $RPM_BUILD_ROOT/usr/bin/swapdev $RPM_BUILD_ROOT/usr/sbin
mv -f $RPM_BUILD_ROOT/usr/bin/vidmode $RPM_BUILD_ROOT/usr/sbin
mv -f $RPM_BUILD_ROOT/usr/bin/ramsize $RPM_BUILD_ROOT/usr/sbin
mv -f $RPM_BUILD_ROOT/usr/bin/rootflags $RPM_BUILD_ROOT/usr/sbin
mv -f $RPM_BUILD_ROOT/usr/bin/readprofile $RPM_BUILD_ROOT/usr/sbin
gzip -9nf $RPM_BUILD_ROOT/usr/info/ipc.info

for i in /bin/login /usr/bin/chfn /usr/bin/chsh /usr/bin/newgrp 
do
	strip $RPM_BUILD_ROOT/$i
done

%ifarch i386 alpha
strip /sbin/fdisk
%endif

install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/util-linux-2.7-login.pamd $RPM_BUILD_ROOT/etc/pam.d/login
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd $RPM_BUILD_ROOT/etc/pam.d/chsh
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd $RPM_BUILD_ROOT/etc/pam.d/chfn

%ifarch i386
rm -f $RPM_BUILD_ROOT/sbin/clock
ln -s hwclock $RPM_BUILD_ROOT/sbin/clock
%endif

%files
%ifarch i386
/sbin/clock
/sbin/hwclock
/usr/man/man8/hwclock.8
%endif

%config /etc/pam.d/login
%config /etc/pam.d/chfn
%config /etc/pam.d/chsh

%ifarch i386 alpha
/sbin/fdisk
/sbin/cfdisk
%endif

%ifnarch sparc
/sbin/fsck.minix
/sbin/mkfs.minix
%endif

/sbin/mkfs
/sbin/mkswap

/usr/bin/fdformat
/usr/bin/setfdprm
/etc/fdprm

/usr/man/man8/fdformat.8
/usr/man/man8/mkswap.8
/usr/man/man8/setfdprm.8

/usr/games/banner
/usr/man/man6/banner.6

/usr/bin/ddate
/usr/man/man1/ddate.1

/bin/login
/usr/bin/chfn
/usr/bin/chsh
/usr/bin/newgrp
/usr/sbin/vipw
/usr/man/man1/chfn.1
/usr/man/man1/chsh.1
/usr/man/man1/login.1
/usr/man/man1/newgrp.1
/usr/man/man8/vipw.8
/bin/kill
/usr/bin/cal
/usr/bin/hostid
/usr/bin/logger
/usr/bin/look
/usr/bin/mcookie
/usr/bin/namei
/usr/bin/script
/usr/bin/setterm
/usr/bin/tsort
/usr/bin/whereis
/usr/bin/write
/usr/bin/getopt
/usr/man/man1/cal.1
/usr/man/man1/hostid.1
/usr/man/man1/kill.1
/usr/man/man1/logger.1
/usr/man/man1/look.1
/usr/man/man1/mcookie.1
/usr/man/man1/namei.1
/usr/man/man1/script.1
/usr/man/man1/setterm.1
/usr/man/man1/tsort.1
/usr/man/man1/whereis.1
/usr/man/man1/write.1
/usr/man/man1/getopt.1

/bin/dmesg

/sbin/ctrlaltdel
/sbin/kbdrate
/sbin/sln
/bin/arch
/usr/sbin/chroot
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/renice
/usr/sbin/readprofile
/usr/bin/setsid
/usr/sbin/ramsize
%ifnarch sparc
/usr/bin/cytune
/usr/sbin/swapdev
/usr/sbin/vidmode
%endif
/usr/sbin/rootflags

/usr/man/man1/arch.1
/usr/man/man1/readprofile.1
/usr/man/man8/chroot.8
/usr/man/man8/cytune.8
/usr/man/man8/ctrlaltdel.8
/usr/man/man8/dmesg.8
/usr/man/man8/ipcrm.8
/usr/man/man8/ipcs.8
/usr/man/man8/kbdrate.8
/usr/man/man8/ramsize.8
/usr/man/man8/renice.8
/usr/man/man8/rootflags.8
/usr/man/man8/setsid.8
/usr/man/man8/swapdev.8
/usr/man/man8/vidmode.8

%ifarch i386
/usr/sbin/rdev
/usr/man/man8/rdev.8
%endif

/usr/info/ipc.info.gz

/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/hexdump
/usr/bin/rev
/usr/bin/ul

/usr/man/man1/col.1
/usr/man/man1/colcrt.1
/usr/man/man1/colrm.1
/usr/man/man1/column.1
/usr/man/man1/hexdump.1
/usr/man/man1/rev.1
/usr/man/man1/ul.1
/bin/more
/usr/man/man1/more.1
/usr/lib/more.help

%ifnarch sparc
/usr/man/man8/fsck.minix.8
/usr/man/man8/mkfs.minix.8
/usr/man/man8/mkfs.8
%endif

%ifarch i386 alpha
/usr/man/man8/fdisk.8
/usr/man/man8/cfdisk.8
%endif

%doc README */README.*

%clean
rm -rf $RPM_BUILD_ROOT
